---
description: "Customize Voyant tools and create programming notebooks."
title: "Spyral"
image: /img/documentation/spyral-overview-logo-(c-owner).jpg
---

<ToolButtons toolName="Spyral"/>

Spyral is a web-based notebook programming environment that allows beginner and intermediate technical users to interact with and customize [Voyant](/docs/tools/voyant)’s tools. Spyral makes it possible for users to integrate text notes with live code to document a program and share it in an easily readable format.

<div className="banner">
  <img src="/img/documentation/spyral-overview-logo-(c-owner).jpg" alt="" />
</div>

<div className="primary-button-row">
  <PrimaryButton
    link="https://voyant-tools.org/spyral/"
    buttonName="To the Tool"
    />
  <PrimaryButton
    link="https://voyant-tools.org/docs/#!/guide/notebook"
    buttonName="To the Documentation"
    />
  <PrimaryButton
    link="https://github.com/voyanttools/Voyant"
    buttonName="To GitHub"
    />
</div>

## Spyral and LINCS

At LINCS, Spyral is used to explore and refine data through advanced configuration of Voyant’s features. Spyral facilitates literate programming: a way of writing a program so it is explained via the intertwining of code and natural language instructions. Digital humanists can use Spyral to individually or collaboratively work through complicated textual analysis projects, to share their processes with others, and for teaching.

## Prerequisites

- You do not need to come with your own dataset.
- You do not need to create a user account.
- You will need a basic understanding of JavaScript.

Spyral supports the following inputs and outputs:

- **Input:** Plain text, JavaScript
- **Output:** Notebook URL, HTML

## Resources

To learn more about Spyral, see the following resources:

- Land (2020) [“Introduction to Spyral Notebooks”](https://voyant-tools.org/spyral/aboutspyral/)
- Sinclair & Rockwell (2019) [“The Art of Literary Text Analysis with Spyral Notebooks”](https://voyant-tools.org/spyral/homeALTA/)
- [Spyral API Documentation](https://voyant-tools.org/docs/#!/api)
- [Spyral.Util](https://voyant-tools.org/docs/#!/api/Spyral.Util)

Information about the team that developed [Spyral](/docs/about-lincs/credits/tools-credits#spyral) is available on the Tool Credits page.